Raster: Problems displaying Int16 grayscale image

2009-04-20 08:07 AM - Tim Sutton

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11703

Description

Hi

An acquintance reported issues displaying the attached image. Gdal reports the min max as [0, 62220]. QGIS reports it as [0,0]. Forcing

the stretch min max to use gdal reported values does not help. Whatever we do results in a black image being displayed. Any ideas?

Thanks

Tim

History

#1 - 2009-04-21 07:32 AM - ersts -

There seems to be something a bit off with the header information, specifically the cell size. It looks like the cell size in the x direction is 0 and 500 in the y

direction.

You can quickly see this if you use gdal_translate to export to an ascii grid.

#2 - 2009-07-18 09:39 AM - Giovanni Manghi

Hi,

what is the state of this issue? a problem with the data itself or a real problem with qgis?

Please leave feedback, it the first case we can close the ticket.

#3 - 2009-07-22 06:45 AM - mgrizonnet -

Hi,

I confirme the bug. 

A black image is displayed when I try to open a unint16 grayscale image (geotiff).

The bug does not appear if I export firt the image in a uint8 grayscale image.

I can't attach the image  which is too big.

Regards,
Manuel

#4 - 2009-07-22 07:10 AM - Paolo Cavallini

What happens if you stretch to min-max (raster properties)?

It's just a visualization problem? In this case, I would reclassify this as an annoyance

#5 - 2009-07-22 07:15 AM - mgrizonnet -

Replying to [comment:4 pcav]:

What happens if you stretch to min-max (raster properties)?

nothing change

It's just a visualization problem? In this case, I would reclassify this as an annoyance

True, it's just a visualization...

regards

#6 - 2009-07-27 08:14 PM - ersts -

- Status changed from Open to In Progress

Can someone post me the output from gdalinfo on an image they are having problems with? Also please let me know how the U16Bit image was created.

I can get a similar type of behaviour when I convert at 32-bit image with values from 0.0 to 1.0 and a no data value of -9999.0 with the following command

gdal_translate -ot UInt16 -of GTiff -scale 0 1 B1.asc B1_3.tif

It is all black image and stretching appears to does little, but if I use

gdal_translate -ot Byte -of GTiff -scale 0 1 B1.asc B1_3.tif

It get something that "looks" more correct, but still is not actually. The problem is that gdal seems to be changing the no data value to 0 even when I

explicitly set it to something else and if the image has a bunch of no data values, 0 dominates the stretch.

#7 - 2009-07-28 12:13 AM - mgrizonnet -

Hi,

in attachment the gdalinfo log of my example which produce a black image (file : gdalinfo_qb_road_extract.log).

Best regards.

Manuel
Replying to [comment:6 ersts]:

Can someone post me the output from gdalinfo on an image they are having problems with? Also please let me know how the U16Bit image was

created.

I can get a similar type of behaviour when I convert at 32-bit image with values from 0.0 to 1.0 and a no data value of -9999.0 with the following

command

gdal_translate -ot UInt16 -of GTiff -scale 0 1 B1.asc B1_3.tif

It is all black image and stretching appears to does little, but if I use

gdal_translate -ot Byte -of GTiff -scale 0 1 B1.asc B1_3.tif

It get something that "looks" more correct, but still is not actually. The problem is that gdal seems to be changing the no data value to 0 even when I

explicitly set it to something else and if the image has a bunch of no data values, 0 dominates the stretch.

#8 - 2009-11-22 10:10 AM - Paolo Cavallini

still true: are we sure this is a valid raster? Can it be displayed in other software?

#9 - 2010-04-15 12:33 PM - ersts -

Howdy!

Could the folks having problems with the 16 bit images please try one of the images at the following url: 

http://www.shadedrelief.com/natural3/pages/extra.html

If the 16bit images from the above link load fine on v1.5.0 running on linux (stock Ubuntu 9.10 and 10.04). If the above images do work for you, there is

something specific with the imagery you are using and we will have to find out a way for me to get a copy of your data.

Please also be specific about which version and platform you are using. This ticket went from version Version 1.2.0 to Version 1.0.3 last summer.

#10 - 2010-04-15 11:50 PM - Paolo Cavallini

Loads fine here (qgis 1.5 from trunk, debian unstable)

#11 - 2010-06-11 09:20 PM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from In Progress to Closed

Closing it for lack of user feedback. Please reopen it if appropriate

Files

toets.tiff.bz2 14.5 KB 2009-04-20 Tim Sutton

gdalinfo_qb_road_extract.log 1.52 KB 2009-07-27 mgrizonnet -
